/*
 * @Description:5 * @Date: 2020-06-03 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-06-20 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_SysClockInit();
		Drv_RamInit();
		SET_WDTTIME_125MS();
		SET_LVR_1V9();
		
		// INT0 demo
		INT0_FLAG=0;
		_pac6=1;
		_papu6=1;
		SET_PA6_INT0();		
		_int0s1=1;				//下降沿中斷
		_int0s0=0;
		_int0f=0;				//開啟外部中斷0
		_int0e=1;
		_emi=1;

	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}
	//主循環
	while(1)
	{
		GCC_CLRWDT();
		if(INT0_FLAG==1)
		{
			//user code
			INT0_FLAG=0;
		}
	}
}